05 May, 2014

Android: how to integrate eclipse with java 1.7

Android: how to integrate eclipse with java 1.7?

Step1, download java sdk 1.7 from:
http://www.oracle.com/technetwork/java/javase/downloads/jdk7-downloads-1880260.html

After download, please install it.

Step2, upgrade your eclipse to lastest version if possible. 
Only Indigo Sr2 or above will support Java 1.7. If you have no idea which version your eclipse is, please download the latest version.
http://www.eclipse.org/downloads/ 

After upgrading, open eclipse, go to Windows->Preferences->Java->Compiler->set compiler compliance level =>1.7.
This requires all your android projects with Android 4.4.2.

If you don't want to work with Android 4.4.2 for some projects, please go to Project Properties->Java Compiler->Enable project specific settings.